Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs	(revision 9891)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/BestSolutionAnalyzer.cs	(revision 9892)
@@ -57,6 +57,6 @@
       get { return (ILookupParameter<ResultCollection>)Parameters[ResultsParameterName]; }
     }
-    public ILookupParameter<StringValue> RobocodePathParameter {
-      get { return (ILookupParameter<StringValue>)Parameters[RobocodePathParamaterName]; }
+    public ILookupParameter<DirectoryValue> RobocodePathParameter {
+      get { return (ILookupParameter<DirectoryValue>)Parameters[RobocodePathParamaterName]; }
     }
     #endregion
@@ -72,5 +72,5 @@
       Parameters.Add(new LookupParameter<Solution>(BestSolutionParameterName, "The best tank program."));
       Parameters.Add(new LookupParameter<ResultCollection>(ResultsParameterName, "The result collection of the algorithm."));
-      Parameters.Add(new LookupParameter<StringValue>(RobocodePathParamaterName, "Path of the Robocode installation."));
+      Parameters.Add(new LookupParameter<DirectoryValue>(RobocodePathParamaterName, "Path of the Robocode installation."));
     }
 
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 9891)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 9892)
@@ -35,5 +35,4 @@
 
       string interpretedProgram = InterpretProgramTree(tree.Root, robotName);
-      string formattedPath = path.Replace("/", "\\");
       string battleRunnerPath = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
 
@@ -47,6 +46,6 @@
       ProcessStartInfo javaCompileInfo = new ProcessStartInfo();
       javaCompileInfo.FileName = "cmd.exe";
-      javaCompileInfo.Arguments = "/C javac -cp " + formattedPath + "\\libs\\robocode.jar " +
-                                  formattedPath + "\\robots\\Evaluation\\" + robotName + ".java";
+      javaCompileInfo.Arguments = "/C javac -cp " + path + "\\libs\\robocode.jar " +
+                                  path + "\\robots\\Evaluation\\" + robotName + ".java";
       javaCompileInfo.RedirectStandardOutput = true;
       javaCompileInfo.RedirectStandardError = true;
@@ -74,7 +73,7 @@
 
       evaluateCodeInfo.FileName = "cmd.exe";
-      evaluateCodeInfo.Arguments = "/C java -classpath " + battleRunnerPath + ";" + formattedPath + "\\libs\\robocode.core-1.8.1.0.jar;" + formattedPath + "\\libs\\robocode.jar;" +
-                                   formattedPath + "\\libs\\picocontainer-2.14.2.jar BattleRunner Evaluation." +
-                                   robotName + "* " + formattedPath;
+      evaluateCodeInfo.Arguments = "/C java -classpath " + battleRunnerPath + ";" + path + "\\libs\\robocode.core-1.8.1.0.jar;" + path + "\\libs\\robocode.jar;" +
+                                   path + "\\libs\\picocontainer-2.14.2.jar BattleRunner Evaluation." +
+                                   robotName + "* " + path;
       if (showUI)
         evaluateCodeInfo.Arguments += " true";
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeEvaluator.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeEvaluator.cs	(revision 9891)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeEvaluator.cs	(revision 9892)
@@ -44,6 +44,6 @@
       get { return (ILookupParameter<ISymbolicExpressionTree>)Parameters[TankProgramParameterName]; }
     }
-    public ILookupParameter<StringValue> RobocodePathParameter {
-      get { return (ILookupParameter<StringValue>)Parameters[RobocodePathParamaterName]; }
+    public ILookupParameter<DirectoryValue> RobocodePathParameter {
+      get { return (ILookupParameter<DirectoryValue>)Parameters[RobocodePathParamaterName]; }
     }
     #endregion
@@ -57,5 +57,5 @@
       Parameters.Add(new LookupParameter<DoubleValue>(QualityParameterName, "The solution quality of the Robocode tank program."));
       Parameters.Add(new LookupParameter<ISymbolicExpressionTree>(TankProgramParameterName, "The Robocode tank program to evaluate represented as a symbolic expression tree."));
-      Parameters.Add(new LookupParameter<StringValue>(RobocodePathParamaterName, "Path of the Robocode installation."));
+      Parameters.Add(new LookupParameter<DirectoryValue>(RobocodePathParamaterName, "Path of the Robocode installation."));
     }
 
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeProblem.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeProblem.cs	(revision 9891)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/RobocodeProblem.cs	(revision 9892)
@@ -55,6 +55,6 @@
       get { return (IValueParameter<Grammar>)Parameters[TankGrammarParameterName]; }
     }
-    public IFixedValueParameter<StringValue> RobocodePathParameter {
-      get { return (IFixedValueParameter<StringValue>)Parameters[RobocodePathParamaterName]; }
+    public IFixedValueParameter<DirectoryValue> RobocodePathParameter {
+      get { return (IFixedValueParameter<DirectoryValue>)Parameters[RobocodePathParamaterName]; }
     }
     #endregion
@@ -70,8 +70,11 @@
     public RobocodeProblem()
       : base(new RobocodeEvaluator(), new RampedHalfAndHalfTreeCreator()) {
+      DirectoryValue robocodeDir = new DirectoryValue();
+      robocodeDir.Value = @"C:\robocode";
+
       Parameters.Add(new FixedValueParameter<IntValue>(MaxTankProgramDepthParameterName, "Maximal depth of the Robocode tank program.", new IntValue(6)));
       Parameters.Add(new FixedValueParameter<IntValue>(MaxTankProgramLengthParameterName, "Maximal length of the tank program.", new IntValue(1000)));
       Parameters.Add(new ValueParameter<Grammar>(TankGrammarParameterName, "Grammar for the tank program.", new Grammar()));
-      Parameters.Add(new FixedValueParameter<StringValue>(RobocodePathParamaterName, "Path of the Robocode installation.", new StringValue("C:/robocode")));
+      Parameters.Add(new FixedValueParameter<DirectoryValue>(RobocodePathParamaterName, "Path of the Robocode installation.", robocodeDir));
 
       Maximization.Value = true;