Index: /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.cs	(revision 9894)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.cs	(revision 9895)
@@ -31,6 +31,4 @@
   [Content(typeof(OptimizerHiveTask), true)]
   public partial class OptimizerHiveTaskView : HiveTaskView {
-    private Progress progress;
-    
     public new OptimizerHiveTask Content {
       get { return (OptimizerHiveTask)base.Content; }
@@ -44,5 +42,4 @@
     public OptimizerHiveTaskView() {
       InitializeComponent();
-      progress = new Progress();
     }
 
@@ -56,9 +53,10 @@
       }
     }
+
     #region Content Events
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
       Content.IsControllableChanged += new EventHandler(Content_IsControllableChanged);
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(this, progress);
+      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(this, Content.Progress);
     }
 
@@ -72,5 +70,4 @@
       SetEnabledStateOfControls();
     }
-
     #endregion
 
@@ -79,5 +76,5 @@
       var task = System.Threading.Tasks.Task.Factory.StartNew(ResumeTaskAsync);
       task.ContinueWith((t) => {
-        progress.Finish();
+        Content.Progress.Finish();
         ErrorHandling.ShowErrorDialog(this, "An error occured while resuming the task.", t.Exception);
       }, TaskContinuationOptions.OnlyOnFaulted);
@@ -87,5 +84,5 @@
       var task = System.Threading.Tasks.Task.Factory.StartNew(PauseTaskAsync);
       task.ContinueWith((t) => {
-        progress.Finish();
+        Content.Progress.Finish();
         ErrorHandling.ShowErrorDialog(this, "An error occured while pausing the task.", t.Exception);
       }, TaskContinuationOptions.OnlyOnFaulted);
@@ -95,5 +92,5 @@
       var task = System.Threading.Tasks.Task.Factory.StartNew(StopTaskAsync);
       task.ContinueWith((t) => {
-        progress.Finish();
+        Content.Progress.Finish();
         ErrorHandling.ShowErrorDialog(this, "An error occured while stopping the task.", t.Exception);
       }, TaskContinuationOptions.OnlyOnFaulted);
@@ -102,19 +99,19 @@
 
     private void PauseTaskAsync() {
-      progress.Start("Pausing task. Please be patient for the command to take effect.");
+      Content.Progress.Start("Pausing task. Please be patient for the command to take effect.");
       Content.Pause();
-      progress.Finish();
+      Content.Progress.Finish();
     }
 
     private void StopTaskAsync() {
-      progress.Start("Stopping task. Please be patient for the command to take effect.");
+      Content.Progress.Start("Stopping task. Please be patient for the command to take effect.");
       Content.Stop();
-      progress.Finish();
+      Content.Progress.Finish();
     }
 
     private void ResumeTaskAsync() {
-      progress.Start("Resuming task. Please be patient for the command to take effect.");
+      Content.Progress.Start("Resuming task. Please be patient for the command to take effect.");
       Content.Restart();
-      progress.Finish();
+      Content.Progress.Finish();
     }
 
Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 9894)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 9895)
@@ -26,4 +26,5 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
+using HeuristicLab.MainForm;
 using HeuristicLab.Optimization;
 using HeuristicLab.PluginInfrastructure;
@@ -31,6 +32,10 @@
 namespace HeuristicLab.Clients.Hive {
   public class OptimizerHiveTask : HiveTask<OptimizerTask> {
+    public Progress Progress { get; private set; }
+
     #region Constructors and Cloning
-    public OptimizerHiveTask() { }
+    public OptimizerHiveTask() {
+      Progress = new Progress();
+    }
     public OptimizerHiveTask(IOptimizer optimizer)
       : this() {
@@ -43,4 +48,5 @@
     protected OptimizerHiveTask(OptimizerHiveTask original, Cloner cloner)
       : base(original, cloner) {
+      Progress = new Progress();
     }
     public override IDeepCloneable Clone(Cloner cloner) {