Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.cs
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.cs	(revision 9904)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.cs	(revision 9908)
@@ -34,5 +34,5 @@
 
 namespace HeuristicLab.Analysis.Statistics {
-  [View("RunCollection Chart Analysis")]
+  [View("Chart Analysis")]
   [Content(typeof(RunCollection), false)]
   public sealed partial class ChartAnalysisView : ItemView {
@@ -245,5 +245,6 @@
       LinearLeastSquaresFitting llsFitting = new LinearLeastSquaresFitting();
       LogFitting logFitting = new LogFitting();
-      string[] columnNames = new string[] { "Count", "Minimum", "Maximum", "Average", "Median", "Standard Deviation", "Variance", "25th Percentile", "75th Percentile", "Avg. of Upper 25 %", " Avg. of Lower 25 %", "Avg. of First 25 %", "Avg. of Last 25 %", "Gradient", "Relative Error", "a", "b" };
+      string[] columnNames = new string[] { "Count", "Minimum", "Maximum", "Average", "Median", "Standard Deviation", "Variance", "25th Percentile", "75th Percentile",
+        "Avg. of Upper 25 %", " Avg. of Lower 25 %", "Avg. of First 25 %", "Avg. of Last 25 %", "Linear Gradient", "Relative Error", "a (log fitted)", "b (log fitted)" };
 
       runs = Content.Where(x => x.Results.ContainsKey(resultName) && x.Visible).ToList();
Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9904)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9908)
@@ -34,4 +34,5 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ChartAnalysisView));
       this.fittingComboBox = new System.Windows.Forms.ComboBox();
@@ -46,4 +47,5 @@
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
       this.infoLabel = new System.Windows.Forms.Label();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
@@ -73,4 +75,5 @@
       this.addValuesButton.TabIndex = 10;
       this.addValuesButton.Text = "Add Values to Results";
+      this.toolTip.SetToolTip(this.addValuesButton, "Adds the values from the data table to the results of each run.");
       this.addValuesButton.UseVisualStyleBackColor = true;
       this.addValuesButton.Click += new System.EventHandler(this.addValuesButton_Click);
@@ -84,4 +87,5 @@
       this.addLineToChart.TabIndex = 9;
       this.addLineToChart.Text = "Fit Line to Chart";
+      this.toolTip.SetToolTip(this.addLineToChart, "Inserts the fitted line/curve into each chart of the run collection. ");
       this.addLineToChart.UseVisualStyleBackColor = true;
       this.addLineToChart.Click += new System.EventHandler(this.addLineToChart_Click);
@@ -227,4 +231,5 @@
     private System.Windows.Forms.Label infoLabel;
     private System.Windows.Forms.SplitContainer splitContainer1;
+    private System.Windows.Forms.ToolTip toolTip;
   }
 }
Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9904)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9908)
@@ -118,4 +118,7 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
   <assembly alias="System.Drawing" name="System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
   <data name="infoLabel.Image" type="System.Drawing.Bitmap, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs	(revision 9904)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs	(revision 9908)
@@ -183,4 +183,6 @@
       // pValTextBox
       // 
+      this.pValTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.pValTextBox.Location = new System.Drawing.Point(58, 48);
       this.pValTextBox.Name = "pValTextBox";
@@ -317,8 +319,10 @@
       // equalDistsTextBox
       // 
+      this.equalDistsTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.equalDistsTextBox.Location = new System.Drawing.Point(95, 87);
       this.equalDistsTextBox.Name = "equalDistsTextBox";
       this.equalDistsTextBox.ReadOnly = true;
-      this.equalDistsTextBox.Size = new System.Drawing.Size(149, 20);
+      this.equalDistsTextBox.Size = new System.Drawing.Size(152, 20);
       this.equalDistsTextBox.TabIndex = 18;
       // 
@@ -344,4 +348,6 @@
       // groupCompComboBox
       // 
+      this.groupCompComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.groupCompComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.groupCompComboBox.FormattingEnabled = true;