Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9908)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9909)
@@ -44,12 +44,7 @@
       this.dataTableComboBox = new System.Windows.Forms.ComboBox();
       this.stringConvertibleMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
-      this.splitContainer = new System.Windows.Forms.SplitContainer();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
       this.infoLabel = new System.Windows.Forms.Label();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
-      this.splitContainer.Panel1.SuspendLayout();
-      this.splitContainer.Panel2.SuspendLayout();
-      this.splitContainer.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
@@ -63,5 +58,5 @@
       this.fittingComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.fittingComboBox.FormattingEnabled = true;
-      this.fittingComboBox.Location = new System.Drawing.Point(271, 3);
+      this.fittingComboBox.Location = new System.Drawing.Point(63, 3);
       this.fittingComboBox.Name = "fittingComboBox";
       this.fittingComboBox.Size = new System.Drawing.Size(214, 21);
@@ -82,5 +77,5 @@
       // 
       this.addLineToChart.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.addLineToChart.Location = new System.Drawing.Point(491, 3);
+      this.addLineToChart.Location = new System.Drawing.Point(283, 3);
       this.addLineToChart.Name = "addLineToChart";
       this.addLineToChart.Size = new System.Drawing.Size(100, 23);
@@ -97,7 +92,7 @@
       this.dataRowComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.dataRowComboBox.FormattingEnabled = true;
-      this.dataRowComboBox.Location = new System.Drawing.Point(70, 33);
+      this.dataRowComboBox.Location = new System.Drawing.Point(69, 36);
       this.dataRowComboBox.Name = "dataRowComboBox";
-      this.dataRowComboBox.Size = new System.Drawing.Size(829, 21);
+      this.dataRowComboBox.Size = new System.Drawing.Size(521, 21);
       this.dataRowComboBox.TabIndex = 8;
       this.dataRowComboBox.SelectedIndexChanged += new System.EventHandler(this.dataRowComboBox_SelectedIndexChanged);
@@ -106,5 +101,5 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(4, 36);
+      this.label2.Location = new System.Drawing.Point(3, 39);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(55, 13);
@@ -115,5 +110,5 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(4, 6);
+      this.label1.Location = new System.Drawing.Point(3, 9);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(60, 13);
@@ -127,7 +122,7 @@
       this.dataTableComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.dataTableComboBox.FormattingEnabled = true;
-      this.dataTableComboBox.Location = new System.Drawing.Point(70, 3);
+      this.dataTableComboBox.Location = new System.Drawing.Point(69, 6);
       this.dataTableComboBox.Name = "dataTableComboBox";
-      this.dataTableComboBox.Size = new System.Drawing.Size(829, 21);
+      this.dataTableComboBox.Size = new System.Drawing.Size(521, 21);
       this.dataTableComboBox.TabIndex = 5;
       this.dataTableComboBox.SelectedIndexChanged += new System.EventHandler(this.dataTableComboBox_SelectedIndexChanged);
@@ -140,41 +135,17 @@
       this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
       this.stringConvertibleMatrixView.Content = null;
-      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(3, 60);
+      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(2, 63);
       this.stringConvertibleMatrixView.Name = "stringConvertibleMatrixView";
       this.stringConvertibleMatrixView.ReadOnly = true;
       this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
       this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
-      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(896, 417);
+      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(588, 322);
       this.stringConvertibleMatrixView.TabIndex = 0;
       // 
-      // splitContainer
-      // 
-      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer.Location = new System.Drawing.Point(3, 3);
-      this.splitContainer.Name = "splitContainer";
-      // 
-      // splitContainer.Panel1
-      // 
-      this.splitContainer.Panel1.Controls.Add(this.splitContainer1);
-      this.splitContainer.Panel1.Controls.Add(this.stringConvertibleMatrixView);
-      this.splitContainer.Panel1.Controls.Add(this.dataTableComboBox);
-      this.splitContainer.Panel1.Controls.Add(this.label1);
-      this.splitContainer.Panel1.Controls.Add(this.label2);
-      this.splitContainer.Panel1.Controls.Add(this.dataRowComboBox);
-      // 
-      // splitContainer.Panel2
-      // 
-      this.splitContainer.Panel2.Controls.Add(this.infoLabel);
-      this.splitContainer.Size = new System.Drawing.Size(938, 515);
-      this.splitContainer.SplitterDistance = 902;
-      this.splitContainer.TabIndex = 13;
-      // 
       // splitContainer1
       // 
       this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer1.Location = new System.Drawing.Point(3, 483);
+      this.splitContainer1.Location = new System.Drawing.Point(6, 391);
       this.splitContainer1.Name = "splitContainer1";
       // 
@@ -187,6 +158,6 @@
       this.splitContainer1.Panel2.Controls.Add(this.fittingComboBox);
       this.splitContainer1.Panel2.Controls.Add(this.addLineToChart);
-      this.splitContainer1.Size = new System.Drawing.Size(896, 29);
-      this.splitContainer1.SplitterDistance = 298;
+      this.splitContainer1.Size = new System.Drawing.Size(584, 29);
+      this.splitContainer1.SplitterDistance = 194;
       this.splitContainer1.TabIndex = 13;
       // 
@@ -195,5 +166,5 @@
       this.infoLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.infoLabel.Image = ((System.Drawing.Image)(resources.GetObject("infoLabel.Image")));
-      this.infoLabel.Location = new System.Drawing.Point(13, 3);
+      this.infoLabel.Location = new System.Drawing.Point(596, 6);
       this.infoLabel.Name = "infoLabel";
       this.infoLabel.Size = new System.Drawing.Size(16, 16);
@@ -203,12 +174,13 @@
       // ChartAnalysisView
       // 
-      this.Controls.Add(this.splitContainer);
+      this.Controls.Add(this.splitContainer1);
+      this.Controls.Add(this.infoLabel);
+      this.Controls.Add(this.stringConvertibleMatrixView);
+      this.Controls.Add(this.dataTableComboBox);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.dataRowComboBox);
+      this.Controls.Add(this.label2);
       this.Name = "ChartAnalysisView";
-      this.Size = new System.Drawing.Size(944, 521);
-      this.splitContainer.Panel1.ResumeLayout(false);
-      this.splitContainer.Panel1.PerformLayout();
-      this.splitContainer.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
-      this.splitContainer.ResumeLayout(false);
+      this.Size = new System.Drawing.Size(612, 423);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel2.ResumeLayout(false);
@@ -216,4 +188,5 @@
       this.splitContainer1.ResumeLayout(false);
       this.ResumeLayout(false);
+      this.PerformLayout();
 
     }
@@ -228,5 +201,4 @@
     private System.Windows.Forms.Button addValuesButton;
     private System.Windows.Forms.ComboBox fittingComboBox;
-    private System.Windows.Forms.SplitContainer splitContainer;
     private System.Windows.Forms.Label infoLabel;
     private System.Windows.Forms.SplitContainer splitContainer1;
Index: branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx
===================================================================
--- branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9908)
+++ branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9909)
@@ -185,3 +185,9 @@
 </value>
   </data>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+  <metadata name="$this.TrayHeight" type="System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>58</value>
+  </metadata>
 </root>