Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 9915)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.Designer.cs	(revision 9915)
@@ -0,0 +1,99 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  partial class InfoBox {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.okButton = new System.Windows.Forms.Button();
+      this.infoRichTextBox = new System.Windows.Forms.RichTextBox();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.okButton.Location = new System.Drawing.Point(549, 459);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 0;
+      this.okButton.Text = "&OK";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // infoRichTextBox
+      // 
+      this.infoRichTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.infoRichTextBox.BackColor = System.Drawing.SystemColors.Control;
+      this.infoRichTextBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
+      this.infoRichTextBox.Location = new System.Drawing.Point(12, 12);
+      this.infoRichTextBox.Name = "infoRichTextBox";
+      this.infoRichTextBox.ReadOnly = true;
+      this.infoRichTextBox.Size = new System.Drawing.Size(612, 441);
+      this.infoRichTextBox.TabIndex = 1;
+      this.infoRichTextBox.Text = "";
+      // 
+      // InfoBox
+      // 
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.ClientSize = new System.Drawing.Size(636, 494);
+      this.Controls.Add(this.infoRichTextBox);
+      this.Controls.Add(this.okButton);
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "InfoBox";
+      this.ShowIcon = false;
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Info Box";
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.Button okButton;
+    protected System.Windows.Forms.RichTextBox infoRichTextBox;
+  }
+}
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 9915)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Dialogs/InfoBox.cs	(revision 9915)
@@ -0,0 +1,80 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.IO;
+using System.Reflection;
+using System.Windows.Forms;
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  public partial class InfoBox : Form {
+    public string Caption {
+      get { return this.Text; }
+      set {
+        if (InvokeRequired)
+          Invoke(new Action<string>(x => this.Text = x), value);
+        else
+          this.Text = value;
+      }
+    }
+
+    protected string embeddedResourceName;
+    public string EmbeddedResourceName {
+      get { return embeddedResourceName; }
+      set {
+        if (InvokeRequired)
+          Invoke(new Action<string>(x => this.EmbeddedResourceName = x), value);
+        else {
+          embeddedResourceName = value;
+          LoadEmbeddedResource(embeddedResourceName);
+        }
+      }
+    }
+
+    public IView ParentView { get; set; }
+
+    public InfoBox() {
+      InitializeComponent();
+    }
+
+    public InfoBox(string caption, string embeddedResourceName, IView parentView)
+      : this() {
+      Caption = caption;
+      ParentView = parentView;
+      EmbeddedResourceName = embeddedResourceName;
+    }
+
+    protected virtual void LoadEmbeddedResource(string name) {
+      Assembly assembly = Assembly.GetAssembly(ParentView.GetType());
+      try {
+        using (Stream stream = assembly.GetManifestResourceStream(name))
+          infoRichTextBox.LoadFile(stream, RichTextBoxStreamType.RichText);
+      }
+      catch (Exception ex) {
+        infoRichTextBox.Text = "Error: Could not load help text. Exception is: " + Environment.NewLine + ex.ToString();
+      }
+    }
+
+    protected virtual void okButton_Click(object sender, EventArgs e) {
+      Close();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 9914)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 9915)
@@ -138,4 +138,10 @@
       <DependentUpon>DefineArithmeticProgressionDialog.cs</DependentUpon>
     </Compile>
+    <Compile Include="Dialogs\InfoBox.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Dialogs\InfoBox.Designer.cs">
+      <DependentUpon>InfoBox.cs</DependentUpon>
+    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="Views\AsynchronousContentView.cs">
@@ -266,5 +272,4 @@
     </BootstrapperPackage>
   </ItemGroup>
-  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs	(revision 9914)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs	(revision 9915)
@@ -45,11 +45,26 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.helpLabel = new System.Windows.Forms.Label();
+      this.helpToolTip = new System.Windows.Forms.ToolTip(this.components);
       this.SuspendLayout();
       // 
-      // ViewBase
+      // helpLabel
       // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.helpLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.helpLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Help;
+      this.helpLabel.Location = new System.Drawing.Point(131, 0);
+      this.helpLabel.Name = "helpLabel";
+      this.helpLabel.Size = new System.Drawing.Size(16, 16);
+      this.helpLabel.TabIndex = 0;
+      this.helpToolTip.SetToolTip(this.helpLabel, "Double Click to Show Help");
+      this.helpLabel.Visible = false;
+      this.helpLabel.DoubleClick += new System.EventHandler(this.helpLabel_DoubleClick);
+      // 
+      // View
+      // 
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Name = "ViewBase";
+      this.Controls.Add(this.helpLabel);
+      this.Name = "View";
       this.Load += new System.EventHandler(this.View_Load);
       this.ResumeLayout(false);
@@ -58,4 +73,8 @@
 
     #endregion
+
+    protected System.Windows.Forms.Label helpLabel;
+    protected System.Windows.Forms.ToolTip helpToolTip;
+
   }
 }
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 9914)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 9915)
@@ -38,4 +38,7 @@
       else
         this.Caption = "View";
+
+      if (ViewAttribute.HasHelpResourcePath((this.GetType())))
+        helpLabel.Visible = true;
     }
 
@@ -261,4 +264,10 @@
         ((Control)this).ResumeRepaint(refresh);
     }
+
+    protected void helpLabel_DoubleClick(object sender, EventArgs e) {
+      using (InfoBox dialog = new InfoBox("Help for " + ViewAttribute.GetViewName(this.GetType()), ViewAttribute.GetHelpResourcePath(this.GetType()), this)) {
+        dialog.ShowDialog(this);
+      }
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 9914)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 9915)
@@ -28,4 +28,10 @@
     public ViewAttribute(string name) {
       this.name = name;
+      this.helpResourcePath = string.Empty;
+    }
+
+    public ViewAttribute(string name, string helpResourcePath) {
+      this.name = name;
+      this.helpResourcePath = helpResourcePath;
     }
 
@@ -34,4 +40,10 @@
       get { return this.name; }
       set { this.name = value; }
+    }
+
+    private string helpResourcePath;
+    public string HelpResourcePath {
+      get { return this.helpResourcePath; }
+      set { this.helpResourcePath = value; }
     }
 
@@ -47,4 +59,18 @@
       return viewType.Name;
     }
+
+    public static string GetHelpResourcePath(MemberInfo viewType) {
+      ViewAttribute[] attributes = (ViewAttribute[])viewType.GetCustomAttributes(typeof(ViewAttribute), false);
+      if (attributes.Length == 1)
+        return attributes[0].helpResourcePath;
+      return string.Empty;
+    }
+
+    public static bool HasHelpResourcePath(MemberInfo viewType) {
+      ViewAttribute[] attributes = (ViewAttribute[])viewType.GetCustomAttributes(typeof(ViewAttribute), false);
+      if (attributes.Length == 1)
+        return attributes[0].helpResourcePath != string.Empty;
+      return false;
+    }
   }
 }