Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 9916)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 9920)
@@ -51,4 +51,5 @@
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.configurationLabel = new System.Windows.Forms.Label();
+      this.helpLabel = new System.Windows.Forms.Label();
       this.SuspendLayout();
       // 
@@ -73,8 +74,6 @@
       this.viewsLabel.Size = new System.Drawing.Size(16, 16);
       this.viewsLabel.TabIndex = 0;
-      this.toolTip.SetToolTip(this.viewsLabel,
-        "Double-click to open a new window of the current view." + System.Environment.NewLine +
-        "Right-click to change current view." + System.Environment.NewLine +
-        "Drag icon to copy or link content to another view.");
+      this.toolTip.SetToolTip(this.viewsLabel, "Double-click to open a new window of the current view.\r\nRight-click to change cur" +
+        "rent view.\r\nDrag icon to copy or link content to another view.");
       this.viewsLabel.DoubleClick += new System.EventHandler(this.viewsLabel_DoubleClick);
       this.viewsLabel.MouseDown += new System.Windows.Forms.MouseEventHandler(this.viewsLabel_MouseDown);
@@ -102,8 +101,22 @@
       this.configurationLabel.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(this.configurationLabel_DoubleClick);
       // 
+      // helpLabel
+      // 
+      this.helpLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.helpLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Help;
+      this.helpLabel.Location = new System.Drawing.Point(211, 44);
+      this.helpLabel.Margin = new System.Windows.Forms.Padding(6, 3, 3, 3);
+      this.helpLabel.Name = "helpLabel";
+      this.helpLabel.Size = new System.Drawing.Size(16, 16);
+      this.helpLabel.TabIndex = 3;
+      this.toolTip.SetToolTip(this.helpLabel, "Double-click to open help.");
+      this.helpLabel.Visible = false;
+      this.helpLabel.DoubleClick += new System.EventHandler(this.helpLabel_DoubleClick);
+      // 
       // ViewHost
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.Controls.Add(this.helpLabel);
       this.Controls.Add(this.viewsLabel);
       this.Controls.Add(this.configurationLabel);
@@ -121,4 +134,5 @@
     private HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip viewContextMenuStrip;
     private System.Windows.Forms.Label configurationLabel;
+    private System.Windows.Forms.Label helpLabel;
 
   }
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 9916)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 9920)
@@ -103,4 +103,16 @@
           configurationLabel.Visible = activeView is IConfigureableView;
           configurationLabel.Enabled = activeView != null && !activeView.Locked;
+
+          if (activeView != null && ViewAttribute.HasHelpResourcePath(activeView.GetType())) {
+            if (configurationLabel.Visible) {
+              helpLabel.Top = 44;
+            } else {
+              helpLabel.Top = 22;
+            }
+            helpLabel.Visible = true;
+          } else {
+            helpLabel.Visible = false;
+            helpLabel.Top = 44;
+          }
         }
       }
@@ -302,4 +314,10 @@
       ((IConfigureableView)ActiveView).ShowConfiguration();
     }
+
+    private void helpLabel_DoubleClick(object sender, EventArgs e) {
+      using (InfoBox dialog = new InfoBox("Help for " + ViewAttribute.GetViewName(ActiveView.GetType()), ViewAttribute.GetHelpResourcePath(ActiveView.GetType()), ActiveView)) {
+        dialog.ShowDialog(this);
+      }
+    }
     #endregion
   }
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs	(revision 9916)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.Designer.cs	(revision 9920)
@@ -45,26 +45,11 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
-      this.helpLabel = new System.Windows.Forms.Label();
-      this.helpToolTip = new System.Windows.Forms.ToolTip(this.components);
       this.SuspendLayout();
       // 
-      // helpLabel
+      // ViewBase
       // 
-      this.helpLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.helpLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Help;
-      this.helpLabel.Location = new System.Drawing.Point(131, 0);
-      this.helpLabel.Name = "helpLabel";
-      this.helpLabel.Size = new System.Drawing.Size(16, 16);
-      this.helpLabel.TabIndex = 0;
-      this.helpToolTip.SetToolTip(this.helpLabel, "Double Click to Show Help");
-      this.helpLabel.Visible = false;
-      this.helpLabel.DoubleClick += new System.EventHandler(this.helpLabel_DoubleClick);
-      // 
-      // View
-      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.helpLabel);
-      this.Name = "View";
+      this.Name = "ViewBase";
       this.Load += new System.EventHandler(this.View_Load);
       this.ResumeLayout(false);
@@ -73,8 +58,4 @@
 
     #endregion
-
-    protected System.Windows.Forms.Label helpLabel;
-    protected System.Windows.Forms.ToolTip helpToolTip;
-
   }
 }
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 9916)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 9920)
@@ -38,7 +38,4 @@
       else
         this.Caption = "View";
-
-      if (ViewAttribute.HasHelpResourcePath((this.GetType())))
-        helpLabel.Visible = true;
     }
 
@@ -264,10 +261,4 @@
         ((Control)this).ResumeRepaint(refresh);
     }
-
-    protected void helpLabel_DoubleClick(object sender, EventArgs e) {
-      using (InfoBox dialog = new InfoBox("Help for " + ViewAttribute.GetViewName(this.GetType()), ViewAttribute.GetHelpResourcePath(this.GetType()), this)) {
-        dialog.ShowDialog(this);
-      }
-    }
   }
 }