Index: /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs
===================================================================
--- /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9924)
+++ /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.designer.cs	(revision 9925)
@@ -54,5 +54,5 @@
       this.fittingComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.fittingComboBox.FormattingEnabled = true;
-      this.fittingComboBox.Location = new System.Drawing.Point(63, 3);
+      this.fittingComboBox.Location = new System.Drawing.Point(76, 3);
       this.fittingComboBox.Name = "fittingComboBox";
       this.fittingComboBox.Size = new System.Drawing.Size(214, 21);
@@ -72,5 +72,5 @@
       // 
       this.addLineToChart.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.addLineToChart.Location = new System.Drawing.Point(283, 3);
+      this.addLineToChart.Location = new System.Drawing.Point(296, 3);
       this.addLineToChart.Name = "addLineToChart";
       this.addLineToChart.Size = new System.Drawing.Size(100, 23);
@@ -82,5 +82,5 @@
       // dataRowComboBox
       // 
-      this.dataRowComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.dataRowComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.dataRowComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -88,5 +88,5 @@
       this.dataRowComboBox.Location = new System.Drawing.Point(69, 36);
       this.dataRowComboBox.Name = "dataRowComboBox";
-      this.dataRowComboBox.Size = new System.Drawing.Size(521, 21);
+      this.dataRowComboBox.Size = new System.Drawing.Size(540, 21);
       this.dataRowComboBox.TabIndex = 8;
       this.dataRowComboBox.SelectedIndexChanged += new System.EventHandler(this.dataRowComboBox_SelectedIndexChanged);
@@ -112,5 +112,5 @@
       // dataTableComboBox
       // 
-      this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.dataTableComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.dataTableComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
@@ -118,5 +118,5 @@
       this.dataTableComboBox.Location = new System.Drawing.Point(69, 6);
       this.dataTableComboBox.Name = "dataTableComboBox";
-      this.dataTableComboBox.Size = new System.Drawing.Size(521, 21);
+      this.dataTableComboBox.Size = new System.Drawing.Size(540, 21);
       this.dataTableComboBox.TabIndex = 5;
       this.dataTableComboBox.SelectedIndexChanged += new System.EventHandler(this.dataTableComboBox_SelectedIndexChanged);
@@ -124,5 +124,5 @@
       // splitContainer1
       // 
-      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.splitContainer1.Location = new System.Drawing.Point(6, 391);
@@ -137,12 +137,12 @@
       this.splitContainer1.Panel2.Controls.Add(this.fittingComboBox);
       this.splitContainer1.Panel2.Controls.Add(this.addLineToChart);
-      this.splitContainer1.Size = new System.Drawing.Size(584, 29);
-      this.splitContainer1.SplitterDistance = 194;
+      this.splitContainer1.Size = new System.Drawing.Size(603, 29);
+      this.splitContainer1.SplitterDistance = 200;
       this.splitContainer1.TabIndex = 13;
       // 
       // stringConvertibleMatrixView
       // 
-      this.stringConvertibleMatrixView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.stringConvertibleMatrixView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
@@ -153,5 +153,5 @@
       this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
       this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
-      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(588, 322);
+      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(607, 322);
       this.stringConvertibleMatrixView.TabIndex = 0;
       // 
@@ -166,10 +166,4 @@
       this.Name = "ChartAnalysisView";
       this.Size = new System.Drawing.Size(612, 423);
-      this.Controls.SetChildIndex(this.label2, 0);
-      this.Controls.SetChildIndex(this.dataRowComboBox, 0);
-      this.Controls.SetChildIndex(this.label1, 0);
-      this.Controls.SetChildIndex(this.dataTableComboBox, 0);
-      this.Controls.SetChildIndex(this.stringConvertibleMatrixView, 0);
-      this.Controls.SetChildIndex(this.splitContainer1, 0);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel2.ResumeLayout(false);
Index: /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx
===================================================================
--- /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9924)
+++ /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/ChartAnalysisView.resx	(revision 9925)
@@ -118,7 +118,4 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
-  <metadata name="helpToolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 17</value>
-  </metadata>
   <metadata name="$this.TrayHeight" type="System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>58</value>